Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.reflect
Class ClassFinder

    java.lang.Object
      org.apache.jorphan.reflect.ClassFinder

public final class ClassFinder
extends Object

This class finds classes that extend one of a set of parent classes

Method Summary
`static List` | `findClassesThatExtend(String[] paths, Class[] superClasses)` Convenience method for `findClassesThatExtend(Class[], boolean)` with the option to include inner classes in the search set to false.
`static List` | `findClassesThatExtend(String[] strPathsOrJars, Class[] superClasses, boolean innerClasses)` Find classes in the provided path(s)/jar(s) that extend the class(es).
`static List` | `findClassesThatExtend(String[] strPathsOrJars, Class[] superClasses, boolean innerClasses, String contains, String notContains)` Find classes in the provided path(s)/jar(s) that extend the class(es).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findClassesThatExtend

    public static List findClassesThatExtend(String[] paths,
                                             Class[] superClasses)
                                      throws IOException

  Convenience method for `findClassesThatExtend(Class[], boolean)` with the option to include inner classes in the search set to false.

  Returns:
    List containing discovered classes.
  Throws:
    `IOException`

### findClassesThatExtend

    public static List findClassesThatExtend(String[] strPathsOrJars,
                                             Class[] superClasses,
                                             boolean innerClasses)
                                      throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es).

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `superClasses` - - required parent class(es)
    `innerClasses` - - should we include inner classes?
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

### findClassesThatExtend

    public static List findClassesThatExtend(String[] strPathsOrJars,
                                             Class[] superClasses,
                                             boolean innerClasses,
                                             String contains,
                                             String notContains)
                                      throws IOException

  Find classes in the provided path(s)/jar(s) that extend the class(es).

  Parameters:
    `strPathsOrJars` - - pathnames or jarfiles to search for classes
    `superClasses` - - required parent class(es)
    `innerClasses` - - should we include inner classes?
    `contains` - - classname should contain this string
    `notContains` - - classname should not contain this string
  Returns:
    List containing discovered classes
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.